Subject: [DNSOP] Interesting question ... was Re: Clarification on EDNS 6891

From: Edward Lewis <[email-masked]>
Date: Fri, 12 Jun 2015 13:15:33 +0000

On 6/12/15, 8:07, "Shane Kerr" <[email-masked]> wrote:
>If the question is, "should we change the protocol so that EDNS over
>connection-oriented transports works differently", then I think the
>answer is, "hm... interesting. It probably won't provide a big win,
>but lets explore it."

At first I didn't take to the notion that a DNS message pulled from the
datagram transport would be handled differently than pulled from the
stream transport.  But then I realized this is already done, in TCP there
are 2 octets containing the length of the DNS message.  So,
architecturally, there's a foothold.

Or perhaps there's a different vehicle (is so much as the OPT RR is a
vehicle) for meta data when using a stream than when using a datagram.
The sender would have to use the "right" one, the receiver would have to
know what to do with what it gets.  (Like, grandparent-in EDNS0 for TCP.)

Just some thoughts.